@charset "UTF-8";

/*----------------- MIT MATHEMATICS HOMEPAGE STYLES -----------------*/

/*
CONTENTS:
 -- Variables
 -- Headings
 -- Banner
 -- Homepage Top Navigation 
 -- Homepage Content 
    - Layout
    - Link List
 -- Announcement Section
 -- News Section
 -- Events Section
 -- Homepage Footer 
*/

/*************************************************************/
/*  Variables                                                */
/*************************************************************/

html {
    --mit-math-red: #79242f;
    --mit-math-orange: #c97d32;
    --main-dark: #135a70;
    --main-medium: #017494;
    --main-light: #2092b5;
    --main-font: #110e0e;
    --light-font: #4a5659;
    --light-gray: #d8dde1;
}

/*************************************************************/
/*  Headings                                                 */
/*************************************************************/

.home h2 {
    font-size: 2rem;
    margin: 0 0 0.5rem 0;
    color: #110e0e;
}

.home h2.announcement {
    color: #b60101;
}

.home h3 {
    font-size: 1.3rem;
    color: var(--mit-math-red);
    margin: auto;
    text-align: center;
}

/*************************************************************/
/*  Homepage Top Navigation                                  */
/*************************************************************/

@media only screen and (min-width: 900px) {

    .home .top-nav-wrap nav {
        height: auto;
        max-width: 1400px;
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        margin: auto;
    }

    .home .top-nav-wrap {
        min-height: 400px;
        background: #022732 url(/dist/images/simons-building-night.jpg);
        background-repeat: no-repeat;
        background-position: -50px 20px;
        border: none;
        position: relative;
    }

/*.home .content-wrap {
    margin-top: 2rem;
} */



}

@media only screen and (min-width: 1100px) {

.home .top-nav > ul > li > button {
    display: none;
}

.home .content-wrap {
    margin-top: auto;
}

.home .top-header-wrap {
    padding-bottom: 1rem;
}

.home .top-nav-wrap {
    min-height: 500px;
    background: #022732 url(/dist/images/banner2.jpg);
    background-size: cover;
    background-position: top;
}

.home .top-nav-wrap nav {
    bottom: 0;
top: auto;
}

.home .top-nav-wrap nav > ul {
    position: relative;
    left: 0;
    width: 100%;
    margin: 0;
    top: 0;
}

.home .top-nav-wrap nav > ul > li {
    display: block;
    width: 25%;
    height: auto;
    background: #fdfdfd;
    margin-bottom: 0;
}

.home .top-nav-wrap nav > ul > li > a:link,
.home .top-nav-wrap nav > ul > li > a:visited {
    text-align: left;
    padding: 0 1rem;
    display: block;
}

.home .top-nav-wrap nav > ul > li > a:hover {
    background: var(--mit-math-red);
}

.home .top-nav-wrap nav > ul > li ul {
    position: relative;
    top: 0;
    height: calc(100% - 40px);
    max-height: 1000px;
    box-shadow: none;
    padding: 0.5em 1rem;
    border: none;
    border-left: 1px solid #c5cbcc;
}

.home .top-nav-wrap nav > ul > li:first-child ul {
    border-left: 0;
}

.home .top-nav-wrap nav > ul > li ul li {
    margin: 0;
}

.home .top-nav-wrap nav > ul > li ul li a:link,
.home .top-nav-wrap nav > ul > li ul li a:visited {
    padding: 3px 0;
    font-weight: normal;
}

.home .top-nav-wrap nav > ul > li.sel > a:link,
.home .top-nav-wrap nav > ul > li.sel > a:visited {
    background: #017494;
}

.home .top-nav-wrap nav > ul > li.sel > a:hover {
    background: #79232f;
}

.home .top-nav-wrap nav > ul > li:hover {
    height: auto;
    margin-top: 0;
}

.home .top-nav-wrap nav > ul > li:hover ul {
    top: 0;
}

.home .top-nav > ul > li ul {
    display: block;
}


.top-nav a {
    font-size: 0.9rem;
}

.home .top-nav-wrap nav > ul > li ul {
    padding: 0.5rem;
}



}

@media only screen and (min-width: 1300px) {



    .top-nav a {
        font-size: 1rem;
    }

    .home .top-nav-wrap nav > ul > li ul {
        padding: 0.5em 1rem;
    }

    .home .top-nav-wrap nav > ul > li > a:link, 
    .home .top-nav-wrap nav > ul > li > a:visited {
        font-size: 1.2rem;
    }

}
/*

@media only screen and (max-width: 1100px) {

    .home .top-nav-wrap {
        min-height: 350px;
        background-size: initial;
    }

    .home .top-nav-wrap nav {
        height: 28px;
    }

    .home .top-nav-wrap nav > ul {
        position: absolute;
        top: 12px;
    }

    .home .top-nav-wrap nav > ul > li {
        display: flex;
        width: auto;
        height: 40px;
        background: var(--mit-math-orange);
        margin-bottom: initial;
    }

    .home .top-nav-wrap nav > ul > li > a:link,
    .home .top-nav-wrap nav > ul > li > a:visited {
        text-align: center;
        padding: 0 5px;
        display: inline-block;
    }



    .home .top-nav > ul > li ul {
        position: absolute;
        top: 40px;
        min-width: 100%;
        display: none;
        overflow: hidden;
        margin: 0;
        background: #fdfdfd;
        border-left: 1px solid #d8dde1;
        box-shadow: 0 4px 6px #b1b6ba;
        transition: all 0.5s;
    }



    .home .top-nav-wrap nav > ul > li:hover {
        height: 50px;
        margin-top: -10px;
    }

/*
    .top-nav > ul {
        flex-wrap: wrap;
    }
    .top-nav a {
        font-size: 1rem;
    }



    .home .top-nav-wrap nav > ul > li ul {
        padding: 0.5rem 1rem;
    }

    .top-nav-wrap nav {
        position: relative;
    }

    .top-nav-wrap {
        height: auto;
    }
    .home .top-nav-wrap nav {
        position: relative;
    } 

}

*/

/*************************************************************/
/*  Homepage Content                                         */
/*************************************************************/

/* We show the background even on mobile for homepage */
body.home {
    background: url("/dist/images/geo-background.jpg") top left;
    background-attachment: fixed;
    background-size: cover;
    background-repeat: repeat-y;
}

.home .link-list {
    border: none;
}

.home .link-list a {
    font-weight: bold;
}

/* --------------------
/* Layout            */

.home .content-wrap {
    max-width: 1400px;
}

.home main {
    background: transparent;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-areas:
        "announcement announcement"
        "news news"
        "events events";
    width: 100%;
    max-width: 1400px;
    padding: 0;
    column-gap: 1rem;
}

.home main > section {
    background: #fff;
    padding: 1rem;
    overflow: auto;
    margin-bottom: 1rem;
}

@media only screen and (min-width: 800px) {
    .home main {
        padding: 1rem 0.5rem;
    }
}

@media only screen and (min-width: 1070px) {
    .home main {
        grid-template-areas:
            "news announcement"
            "news events";
        grid-template-rows: minmax(0, max-content) 1fr;
        grid-template-columns: minmax(600px, 750px) minmax(430px, auto);
        padding: 1rem;
    }

    .home main > section {
        border: none;
        box-shadow: 0 3px 10px #b1b6ba;
    }
}

@media only screen and (min-width: 1200px) {
    .home main > section {
        padding: 1.5rem;
    }
}

@media only screen and (min-width: 1400px) {
    .home main {
        padding: 1rem 0;
    }
}

/*************************************************************/
/*  Announcement Section                                     */
/*************************************************************/

.home main > section.home-announcement {
    grid-area: announcement;
    border: 4px solid var(--mit-math-orange);
}

@media only screen and (max-width: 800px) {
    .home main > section.home-announcement {
        margin-left: 1rem;
        margin-right: 1rem;
    }
}

/*************************************************************/
/*  News Section                                             */
/*************************************************************/

.home section.latest-news {
    grid-area: news;
}

.home .spotlight {
    max-width: 700px;
    padding-bottom: 1.5rem;
}

.home .spotlights h3 {
    padding-top: 1.5rem;
    padding-bottom: .5rem;
    border-top: 1px solid #d8dde1; /*light gray*/
}

/*************************************************************/
/*  Events Section                                           */
/*************************************************************/
section.events {
    grid-area: events;
}

/*************************************************************/
/*  Homepage Footer                                          */
/*************************************************************/

.home footer .footer-wrap {
    max-width: 1400px;
}

/*



.home main .home-left {
    flex-basis: 55%;
}

.home main .home-right {
    flex-basis: 40%;
}


.home {
    background: url("/dist/images/geo-background.jpg") top left;
    background-attachment: fixed;
}



@media only screen and (min-width: 1000px) {
    .home .top-nav-wrap nav > ul > li ul {
        padding: 5px;
    }
    .home .top-nav-wrap nav > ul > li ul li a:link,
    .home .top-nav-wrap nav > ul > li ul li a:visited {
        font-size: 0.85rem;
    }
}
@media only screen and (min-width: 1100px) {
    .home .top-nav-wrap nav > ul > li > a:link,
    .home .top-nav-wrap nav > ul > li > a:visited {
        font-size: 1.1rem;
        padding: 3px 8px;
    }
    .home .top-nav-wrap nav > ul > li ul {
        padding: 8px;
    }
    .home .top-nav-wrap nav > ul > li ul li {
        margin-bottom: 2px;
    }
    .home .top-nav-wrap nav > ul > li ul li a:link,
    .home .top-nav-wrap nav > ul > li ul li a:visited {
        font-size: 1rem;
        font-weight: 400;
    }
}
@media only screen and (min-width: 1200px) {
    .home .top-nav-wrap nav > ul {
        top: -20px;
        width: 100%;
        left: 0;
    }
    .home .top-nav-wrap nav > ul > li {
        margin-bottom: -20px;
    }
    .home .top-nav-wrap nav > ul > li > a:link,
    .home .top-nav-wrap nav > ul > li > a:visited {
        font-size: 1.2rem;
        padding: 3px 10px;
    }
    
}





@media only screen and (min-width: 1340px) {
    .home main {
        padding-left: 0;
        padding-right: 0;
    }
}




.event-entry {
    padding: 0.3rem 0 0.5rem 0;
    border-top: 1px solid #d8dde1;
}
.event-entry .event-date,
.event-entry .event-location {
    font-weight: bold;
}
.event-entry .expand {
    margin-top: 1rem;
}
*/
